Retrieves all the car travels

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

car_travel
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

car_id

Foreign key of Car

globally unique identifier

Required

hour_type_id

Foreign key of the hour type

globally unique identifier

Required

date_from_rounded

Date+Time travel FROM

date

Required

date_to_rounded

Date+Time travel TO

date

Required

notes

Additional notes field

string
to_travel_type_code

Kind of travel. Can be

string

Required

is_approved

Inform if this user_timesheet belongs to a week approved (readonly)

boolean
property_1_checked

True/False status of property 1

boolean
property_2_checked

True/False status of property 2

boolean
property_3_checked

True/False status of property 3

boolean
property_4_checked

True/False status of property 4

boolean
property_5_checked

True/False status of property 5

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
km_distance

Distance traveled

integer
km_private

Personal distance traveled

integer
from_travel_type_code

Travel type when going to location

string
from_db_table_name

Value of linked table

string
from_id_in_table

Foreign key to object traveling from

globally unique identifier
to_db_table_name

Value of linked table

string
to_id_in_table

Foreign key to object traveling from

globally unique identifier

Response Formats

application/json, text/json

Sample:
{
  "id": "423a1a00-8c08-4bc1-ab00-059f1dbd246f",
  "user_id": "5c27765f-6828-4c65-a3a9-65f790725d26",
  "car_id": "763b3e89-e02a-49de-b76f-f7a0055adf8c",
  "hour_type_id": "cc3d5ef1-e727-467f-b6c0-e7867263498f",
  "date_from_rounded": "2026-10-31T11:30:11.7543897+00:00",
  "date_to_rounded": "2026-10-31T11:30:11.7543897+00:00",
  "notes": "sample string 7",
  "to_travel_type_code": "sample string 8",
  "is_approved": true,
  "property_1_checked": true,
  "property_2_checked": true,
  "property_3_checked": true,
  "property_4_checked": true,
  "property_5_checked": true,
  "modified_dateutc": "2026-10-31T11:30:11.7543897+00:00",
  "km_distance": 16,
  "km_private": 17,
  "from_travel_type_code": "sample string 18",
  "from_db_table_name": "sample string 19",
  "from_id_in_table": "3433f5c4-c57a-4e45-92eb-dfc64d3e4044",
  "to_db_table_name": "sample string 21",
  "to_id_in_table": "a86ed68a-d365-4099-adfc-3f4e26961e76"
}